Mailinglist Archive: opensuse-updates (127 mails)

< Previous Next >
openSUSE-RU-2016:1573-1: moderate: Recommended update for nethogs
openSUSE Recommended Update: Recommended update for nethogs
______________________________________________________________________________

Announcement ID: openSUSE-RU-2016:1573-1
Rating: moderate
References: #970024
Affected Products:
openSUSE Leap 42.1
openSUSE 13.2
______________________________________________________________________________

An update that has one recommended fix can now be installed.

Description:

This update to nethogs 0.8.1 fixes the following issues:

- fixed buffer overflow for cmdline strings of length >= 80
- fix creating socket by using normal DGRAM sockets (boo#970024)
- correctly display PID's up to 7 characters
- Get all running non-loopback devices by default
- consider the terminal height when printing the 'total' row
- added new command line switches -s, -c, -v
- changed needrefresh default value from true to false


Patch Instructions:

To install this openSUSE Recommended Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Leap 42.1:

zypper in -t patch openSUSE-2016-722=1

- openSUSE 13.2:

zypper in -t patch openSUSE-2016-722=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Leap 42.1 (i586 x86_64):

nethogs-0.8.1-11.1
nethogs-debuginfo-0.8.1-11.1
nethogs-debugsource-0.8.1-11.1

- openSUSE 13.2 (i586 x86_64):

nethogs-0.8.1-3.3.1
nethogs-debuginfo-0.8.1-3.3.1
nethogs-debugsource-0.8.1-3.3.1


References:

https://bugzilla.suse.com/970024


< Previous Next >
This Thread
  • No further messages